CREATE TABLE fnd_cal_quarter (
    ENTERPRISE_ID           NUMBER(18, 0) ,
    CAL_QUARTER             NUMBER(8, 0)  ,
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128)     NOT NULL,
    CAL_QUARTER_CODE        VARCHAR2(100)     NOT NULL,
    CAL_QTR_START_DATE      DATE          ,
    CAL_QTR_END_DATE        DATE          ,
    PARENT_YEAR             NUMBER(4, 0)      NOT NULL,
    PRIOR_SEQUENTIAL_QTR    NUMBER(8, 0)  ,
    PRIOR_YEAR_QTR          NUMBER(8, 0)  ,
    SEED_DATA_SOURCE        VARCHAR2(2048),
    ORA_SEED_SET1           VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2           VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID           NUMBER(18, 0) ,
    CAL_QUARTER             NUMBER(8, 0)  ,
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128)     NOT NULL,
    CAL_QUARTER_CODE        VARCHAR2(100)     NOT NULL,
    CAL_QTR_START_DATE      DATE          ,
    CAL_QTR_END_DATE        DATE          ,
    PARENT_YEAR             NUMBER(4, 0)      NOT NULL,
    PRIOR_SEQUENTIAL_QTR    NUMBER(8, 0)  ,
    PRIOR_YEAR_QTR          NUMBER(8, 0)  ,
    SEED_DATA_SOURCE        VARCHAR2(2048),
    ORA_SEED_SET1           VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2           VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_cal_quarter PRIMARY KEY (ENTERPRISE_ID, CAL_QUARTER, ENTERPRISE_ID, CAL_QUARTER)
);
